diff --git a/web/pgadmin/browser/server_groups/servers/databases/casts/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/casts/__init__.py
index 2d85745d3..eec197e42 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/casts/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/casts/__init__.py
@@ -208,7 +208,7 @@ def wrap(*args, **kwargs):
             ).connection_manager(kwargs['sid'])
             self.conn = self.manager.connection(did=kwargs['did'])
             # Set template path for the SQL scripts
-            self.template_path = 'cast/sql/#{0}#'.format(self.manager.version)
+            self.template_path = 'casts/sql/#{0}#'.format(self.manager.version)
 
             return f(*args, **kwargs)
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/__init__.py
index 78f7d281a..3ab1f4dd4 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/__init__.py
@@ -116,10 +116,6 @@ class ForeignServerView(PGChildNodeView)
     * __init__(**kwargs)
       - Method is used to initialize the ForeignServerView and it's base view.
 
-    * module_js()
-      - This property defines (if javascript) exists for this node.
-        Override this property for your own logic
-
     * check_precondition()
       - This function will behave as a decorator which will checks
         database connection before running view, it will also attaches
@@ -192,23 +188,9 @@ class ForeignServerView(PGChildNodeView)
         'msql': [{'get': 'msql'}, {'get': 'msql'}],
         'stats': [{'get': 'statistics'}],
         'dependency': [{'get': 'dependencies'}],
-        'dependent': [{'get': 'dependents'}],
-        'module.js': [{}, {}, {'get': 'module_js'}]
+        'dependent': [{'get': 'dependents'}]
     })
 
-    def module_js(self):
-        """
-        This property defines (if javascript) exists for this node.
-        Override this property for your own logic.
-        """
-        return make_response(
-            render_template(
-                "foreign_servers/js/foreign_servers.js",
-                _=gettext
-            ),
-            200, {'Content-Type': 'application/javascript'}
-        )
-
     def check_precondition(f):
         """
         This function will behave as a decorator which will checks
diff --git a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/user_mapping/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/user_mappings/__init__.py
similarity index 97%
rename from web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/user_mapping/__init__.py
rename to web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/user_mappings/__init__.py
index 0ba0ac500..ed7de23ac 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/user_mapping/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/user_mappings/__init__.py
@@ -132,10 +132,6 @@ class UserMappingView(PGChildNodeView)
     * __init__(**kwargs)
       - Method is used to initialize the UserMappingView and it's base view.
 
-    * module_js()
-      - This property defines (if javascript) exists for this node.
-        Override this property for your own logic
-
     * check_precondition()
       - This function will behave as a decorator which will checks
         database connection before running view, it will also attaches
@@ -209,23 +205,9 @@ class UserMappingView(PGChildNodeView)
         'msql': [{'get': 'msql'}, {'get': 'msql'}],
         'stats': [{'get': 'statistics'}],
         'dependency': [{'get': 'dependencies'}],
-        'dependent': [{'get': 'dependents'}],
-        'module.js': [{}, {}, {'get': 'module_js'}]
+        'dependent': [{'get': 'dependents'}]
     })
 
-    def module_js(self):
-        """
-        This property defines (if javascript) exists for this node.
-        Override this property for your own logic.
-        """
-        return make_response(
-            render_template(
-                "user_mappings/js/user_mappings.js",
-                _=gettext
-            ),
-            200, {'Content-Type': 'application/javascript'}
-        )
-
     def check_precondition(f):
         """
         This function will behave as a decorator which will checks
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/__init__.py
index 5404c5022..72c2df5a9 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/__init__.py
@@ -237,7 +237,7 @@ def __init__(self, *args, **kwargs):
         self.manager = None
         self.conn = None
         self.template_path = None
-        self.template_initial = 'schema'
+        self.template_initial = 'schemas'
 
     @staticmethod
     def ppas_template_path(ver):
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/catalog_objects/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/catalog_objects/__init__.py
index 29bff51d7..e56f488e5 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/catalog_objects/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/catalog_objects/__init__.py
@@ -128,8 +128,7 @@ class CatalogObjectView(PGChildNodeView):
         'nodes': [{'get': 'node'}, {'get': 'nodes'}],
         'sql': [{'get': 'sql'}],
         'dependency': [{'get': 'dependencies'}],
-        'dependent': [{'get': 'dependents'}],
-        'module.js': [{}, {}, {'get': 'module_js'}]
+        'dependent': [{'get': 'dependents'}]
     })
 
     def check_precondition(f):
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/catalog_objects/columns/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/catalog_objects/columns/__init__.py
index 73b229862..75bce58b7 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/catalog_objects/columns/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/catalog_objects/columns/__init__.py
@@ -155,8 +155,7 @@ class CatalogObjectColumnsView(PGChildNodeView):
         'nodes': [{'get': 'node'}, {'get': 'nodes'}],
         'sql': [{'get': 'sql'}],
         'dependency': [{'get': 'dependencies'}],
-        'dependent': [{'get': 'dependents'}],
-        'module.js': [{}, {}, {'get': 'module_js'}]
+        'dependent': [{'get': 'dependents'}]
     })
 
     def check_precondition(f):
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/__init__.py
index 51f530a71..2aef28b7b 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/__init__.py
@@ -171,7 +171,6 @@ class CollationView(PGChildNodeView):
         'stats': [{'get': 'statistics'}],
         'dependency': [{'get': 'dependencies'}],
         'dependent': [{'get': 'dependents'}],
-        'module.js': [{}, {}, {'get': 'module_js'}],
         'get_collations': [{'get': 'get_collation'},
                            {'get': 'get_collation'}]
     })
@@ -193,7 +192,7 @@ def wrap(*args, **kwargs):
             self.conn = self.manager.connection(did=kwargs['did'])
             # Set the template path for the SQL scripts
             self.template_path = compile_template_path(
-                'collation/sql/',
+                'collations/sql/',
                 self.manager.server_type,
                 self.manager.version
             )
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/__init__.py
index 1bc8b6570..20e477986 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/__init__.py
@@ -95,9 +95,6 @@ class DomainView
       - Works as a decorator.
         Validating request on the request of create, update and modified SQL.
 
-    * module_js():
-      - Load JS file (domains.js) for this module.
-
     * check_precondition(f):
       - Works as a decorator.
       -  Checks database connection status.
@@ -168,7 +165,6 @@ class DomainView
         'stats': [{'get': 'statistics'}],
         'dependency': [{'get': 'dependencies'}],
         'dependent': [{'get': 'dependents'}],
-        'module.js': [{}, {}, {'get': 'module_js'}],
         'get_types': [{'get': 'types'}, {'get': 'types'}],
         'get_collations': [
             {'get': 'get_collations'},
@@ -246,18 +242,6 @@ def wrap(self, **kwargs):
 
         return wrap
 
-    def module_js(self):
-        """
-        Load JS file (domains.js) for this module.
-        """
-        return make_response(
-            render_template(
-                "domains/js/domains.js",
-                _=gettext
-            ),
-            200, {'Content-Type': 'application/javascript'}
-        )
-
     def check_precondition(f):
         """
         Works as a decorator.
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/__init__.py
index 8999d2e1f..d85b5f3e1 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/__init__.py
@@ -109,9 +109,6 @@ class ForeignTableView(PGChildNodeView)
       - Works as a decorator.
         Validating request on the request of create, update and modified SQL.
 
-    * module_js():
-      - Overrides this property to define javascript for Foreign Table node.
-
     * check_precondition(f):
       - Works as a decorator.
       - Checks database connection status.
@@ -204,7 +201,6 @@ class ForeignTableView(PGChildNodeView)
         'stats': [{'get': 'statistics'}],
         'dependency': [{'get': 'dependencies'}],
         'dependent': [{'get': 'dependents'}],
-        'module.js': [{}, {}, {'get': 'module_js'}],
         'get_collations': [
             {'get': 'get_collations'},
             {'get': 'get_collations'}
@@ -319,18 +315,6 @@ def wrap(self, **kwargs):
 
         return wrap
 
-    def module_js(self):
-        """
-        Load JS file (foreign_tables.js) for this module.
-        """
-        return make_response(
-            render_template(
-                "foreign_tables/js/foreign_tables.js",
-                _=gettext
-            ),
-            200, {'Content-Type': 'application/javascript'}
-        )
-
     def check_precondition(f):
         """
         Works as a decorator.
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/__init__.py
index 7c0a22637..4aa6cc2b4 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/__init__.py
@@ -108,10 +108,6 @@ class FtsConfigurationView(PGChildNodeView)
       - Method is used to initialize the FtsConfigurationView and it's base
       view.
 
-    * module_js()
-      - This property defines (if javascript) exists for this node.
-        Override this property for your own logic
-
     * check_precondition()
       - This function will behave as a decorator which will checks
         database connection before running view, it will also attaches
@@ -200,7 +196,6 @@ class FtsConfigurationView(PGChildNodeView)
         'stats': [{'get': 'statistics'}],
         'dependency': [{'get': 'dependencies'}],
         'dependent': [{'get': 'dependents'}],
-        'module.js': [{}, {}, {'get': 'module_js'}],
         'parsers': [{'get': 'parsers'},
                     {'get': 'parsers'}],
         'copyConfig': [{'get': 'copyConfig'},
@@ -215,18 +210,6 @@ def _init_(self, **kwargs):
         self.manager = None
         super(FtsConfigurationView, self).__init__(**kwargs)
 
-    def module_js(self):
-        """
-        Load JS file (fts_configuration.js) for this module.
-        """
-        return make_response(
-            render_template(
-                "fts_configuration/js/fts_configuration.js",
-                _=_
-            ),
-            200, {'Content-Type': 'application/javascript'}
-        )
-
     def check_precondition(f):
         """
         This function will behave as a decorator which will checks
@@ -242,7 +225,7 @@ def wrap(*args, **kwargs):
                 kwargs['sid'])
             self.conn = self.manager.connection(did=kwargs['did'])
             # Set the template path for the SQL scripts
-            self.template_path = 'fts_configuration/sql/#{0}#'.format(
+            self.template_path = 'fts_configurations/sql/#{0}#'.format(
                 self.manager.version)
 
             return f(*args, **kwargs)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/__init__.py
index 5bb913391..f69f3af7f 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/__init__.py
@@ -105,10 +105,6 @@ class FtsDictionaryView(PGChildNodeView)
     * __init__(**kwargs)
       - Method is used to initialize the FtsDictionaryView and it's base view.
 
-    * module_js()
-      - This property defines (if javascript) exists for this node.
-        Override this property for your own logic
-
     * check_precondition()
       - This function will behave as a decorator which will checks
         database connection before running view, it will also attaches
@@ -192,7 +188,6 @@ class FtsDictionaryView(PGChildNodeView)
         'stats': [{'get': 'statistics'}],
         'dependency': [{'get': 'dependencies'}],
         'dependent': [{'get': 'dependents'}],
-        'module.js': [{}, {}, {'get': 'module_js'}],
         'fetch_templates': [{'get': 'fetch_templates'},
                             {'get': 'fetch_templates'}],
     })
@@ -203,18 +198,6 @@ def _init_(self, **kwargs):
         self.manager = None
         super(FtsDictionaryView, self).__init__(**kwargs)
 
-    def module_js(self):
-        """
-        Load JS file (fts_dictionary.js) for this module.
-        """
-        return make_response(
-            render_template(
-                "fts_dictionary/js/fts_dictionary.js",
-                _=_
-            ),
-            200, {'Content-Type': 'application/javascript'}
-        )
-
     def check_precondition(f):
         """
         This function will behave as a decorator which will checks
@@ -232,7 +215,7 @@ def wrap(*args, **kwargs):
             driver = get_driver(PG_DEFAULT_DRIVER)
             self.qtIdent = driver.qtIdent
             # Set the template path for the SQL scripts
-            self.template_path = 'fts_dictionary/sql/#{0}#'.format(
+            self.template_path = 'fts_dictionaries/sql/#{0}#'.format(
                 self.manager.version)
 
             return f(*args, **kwargs)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parsers/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parsers/__init__.py
index 62d93768c..384ae62e8 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parsers/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parsers/__init__.py
@@ -98,10 +98,6 @@ class FtsParserView(PGChildNodeView)
     * __init__(**kwargs)
       - Method is used to initialize the FtsParserView and it's base view.
 
-    * module_js()
-      - This property defines (if javascript) exists for this node.
-        Override this property for your own logic
-
     * check_precondition()
       - This function will behave as a decorator which will checks
         database connection before running view, it will also attaches
@@ -194,7 +190,6 @@ class FtsParserView(PGChildNodeView)
         'stats': [{'get': 'statistics'}],
         'dependency': [{'get': 'dependencies'}],
         'dependent': [{'get': 'dependents'}],
-        'module.js': [{}, {}, {'get': 'module_js'}],
         'start_functions': [{'get': 'start_functions'},
                             {'get': 'start_functions'}],
         'token_functions': [{'get': 'token_functions'},
@@ -234,7 +229,7 @@ def wrap(*args, **kwargs):
                 kwargs['sid'])
             self.conn = self.manager.connection(did=kwargs['did'])
             # Set the template path for the SQL scripts
-            self.template_path = 'fts_parser/sql/#{0}#'.format(
+            self.template_path = 'fts_parsers/sql/#{0}#'.format(
                 self.manager.version)
 
             return f(*args, **kwargs)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/__init__.py
index ea3a58db0..8e952d912 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/__init__.py
@@ -105,10 +105,6 @@ class is responsible for all the stuff related to view like
     * __init__(**kwargs)
       - Method is used to initialize the FtsTemplateView and it's base view.
 
-    * module_js()
-      - This property defines (if javascript) exists for this node.
-        Override this property for your own logic
-
     * check_precondition()
       - This function will behave as a decorator which will checks
         database connection before running view, it will also attaches
@@ -187,7 +183,6 @@ class is responsible for all the stuff related to view like
         'stats': [{'get': 'statistics'}],
         'dependency': [{'get': 'dependencies'}],
         'dependent': [{'get': 'dependents'}],
-        'module.js': [{}, {}, {'get': 'module_js'}],
         'get_lexize': [{'get': 'get_lexize'}, {'get': 'get_lexize'}],
         'get_init': [{'get': 'get_init'}, {'get': 'get_init'}],
     })
@@ -198,18 +193,6 @@ def _init_(self, **kwargs):
         self.manager = None
         super(FtsTemplateView, self).__init__(**kwargs)
 
-    def module_js(self):
-        """
-        This property defines whether javascript exists for this node.
-        """
-        return make_response(
-            render_template(
-                "fts_template/js/fts_templates.js",
-                _=gettext
-            ),
-            200, {'Content-Type': 'application/javascript'}
-        )
-
     def check_precondition(f):
         """
         This function will behave as a decorator which will checks
@@ -224,7 +207,7 @@ def wrap(*args, **kwargs):
             self.manager = get_driver(PG_DEFAULT_DRIVER).connection_manager(
                 kwargs['sid'])
             self.conn = self.manager.connection(did=kwargs['did'])
-            self.template_path = 'fts_template/sql/#{0}#'.format(
+            self.template_path = 'fts_templates/sql/#{0}#'.format(
                 self.manager.version)
 
             return f(*args, **kwargs)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/__init__.py
index b41ec44d7..ba2c90212 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/__init__.py
@@ -131,9 +131,6 @@ class FunctionView(PGChildNodeView)
       - Works as a decorator.
         Validating request on the request of create, update and modified SQL.
 
-    * module_js():
-      - Overrides this property to define javascript for Functions node.
-
     * check_precondition(f):
       - Works as a decorator.
       - Checks database connection status.
@@ -207,7 +204,6 @@ class FunctionView(PGChildNodeView)
         'stats': [{'get': 'statistics'}, {'get': 'statistics'}],
         'dependency': [{'get': 'dependencies'}],
         'dependent': [{'get': 'dependents'}],
-        'module.js': [{}, {}, {'get': 'module_js'}],
         'get_types': [{'get': 'types'}, {'get': 'types'}],
         'get_languages': [{'get': 'get_languages'}, {'get': 'get_languages'}],
         'vopts': [{}, {'get': 'variable_options'}],
@@ -303,19 +299,6 @@ def wrap(self, **kwargs):
 
         return wrap
 
-    def module_js(self):
-        """
-        Load JS file (functions.js) for this module.
-        """
-
-        return make_response(
-            render_template(
-                "function/js/functions.js",
-                _=gettext
-            ),
-            200, {'Content-Type': 'application/javascript'}
-        )
-
     def check_precondition(f):
         """
         Works as a decorator.
@@ -334,12 +317,17 @@ def wrap(*args, **kwargs):
             self.qtIdent = driver.qtIdent
             self.qtLiteral = driver.qtLiteral
 
+            template_initial = None
+            if self.node_type == 'function':
+                template_initial = 'functions'
+            elif self.node_type == 'procedure':
+                template_initial = 'procedures'
+            elif self.node_type == 'trigger_function':
+                template_initial = 'trigger_functions'
+
             # Set the template path for the SQL scripts
-            self.template_path = "/".join([
-                self.node_type
-            ])
             self.sql_template_path = "/".join([
-                self.template_path,
+                template_initial,
                 self.manager.server_type,
                 'sql',
                 '#{0}#'
@@ -1676,19 +1664,6 @@ def required_args(self):
                 'lanname',
                 'prosrc']
 
-    def module_js(self):
-        """
-        Load JS file (procedures.js) for this module.
-        """
-
-        return make_response(
-            render_template(
-                "procedure/js/procedures.js",
-                _=gettext
-            ),
-            200, {'Content-Type': 'application/javascript'}
-        )
-
 
 ProcedureView.register_node_view(procedure_blueprint)
 
@@ -1787,18 +1762,5 @@ def required_args(self):
                 'lanname',
                 'prosrc']
 
-    def module_js(self):
-        """
-        Load JS file (trigger_function.js) for this module.
-        """
-
-        return make_response(
-            render_template(
-                "trigger_function/js/trigger_functions.js",
-                _=gettext
-            ),
-            200, {'Content-Type': 'application/javascript'}
-        )
-
 
 TriggerFunctionView.register_node_view(trigger_function_blueprint)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/__init__.py
index 8e6c463ea..3d1daa75c 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/__init__.py
@@ -108,22 +108,9 @@ class PackageView(PGChildNodeView):
         'msql': [{'get': 'msql'}, {'get': 'msql'}],
         'stats': [{'get': 'statistics'}, {'get': 'statistics'}],
         'dependency': [{'get': 'dependencies'}],
-        'dependent': [{'get': 'dependents'}],
-        'module.js': [{}, {}, {'get': 'module_js'}]
+        'dependent': [{'get': 'dependents'}]
     })
 
-    def module_js(self):
-        """
-        This property defines whether javascript exists for this node.
-        """
-        return make_response(
-            render_template(
-                "package/js/package.js",
-                _=_
-            ),
-            200, {'Content-Type': 'application/javascript'}
-        )
-
     def check_precondition(action=None):
         """
         This function will behave as a decorator which will checks
@@ -150,7 +137,7 @@ def wrapped(self, *args, **kwargs):
                             "Connection to the server has been lost."
                         )
                     )
-                self.template_path = 'package/ppas/#{0}#'.format(
+                self.template_path = 'packages/ppas/#{0}#'.format(
                     self.manager.version)
 
                 SQL = render_template(
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/edbfuncs/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/edbfuncs/__init__.py
index 286018242..4809be85b 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/edbfuncs/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/edbfuncs/__init__.py
@@ -138,9 +138,6 @@ class EdbFuncView(PGChildNodeView, DataTypeReader)
       - Works as a decorator.
         Validating request on the request of create, update and modified SQL.
 
-    * module_js():
-      - Overrides this property to define javascript for Functions node.
-
     * check_precondition(f):
       - Works as a decorator.
       - Checks database connection status.
@@ -187,23 +184,9 @@ class EdbFuncView(PGChildNodeView, DataTypeReader)
         'nodes': [{'get': 'nodes'}, {'get': 'nodes'}],
         'sql': [{'get': 'sql'}],
         'dependency': [{'get': 'dependencies'}],
-        'dependent': [{'get': 'dependents'}],
-        'module.js': [{}, {}, {'get': 'module_js'}]
+        'dependent': [{'get': 'dependents'}]
     })
 
-    def module_js(self):
-        """
-        Load JS file (functions.js) for this module.
-        """
-
-        return make_response(
-            render_template(
-                "edbfunc/js/edbfunc.js",
-                _=gettext
-            ),
-            200, {'Content-Type': 'application/javascript'}
-        )
-
     def check_precondition(f):
         """
         Works as a decorator.
@@ -232,9 +215,14 @@ def wrap(*args, **kwargs):
 
             # Set template path for sql scripts depending
             # on the server version.
+            template_initial = None
+            if self.node_type == 'edbfunc':
+                template_initial = 'edbfuncs'
+            elif self.node_type == 'edbproc':
+                template_initial = 'edbprocs'
 
             self.sql_template_path = "/".join([
-                self.node_type,
+                template_initial,
                 self.manager.server_type,
                 '#{0}#'
             ]).format(self.manager.version)
@@ -699,18 +687,5 @@ def module_use_template_javascript(self):
 class EdbProcView(EdbFuncView):
     node_type = procedure_blueprint.node_type
 
-    def module_js(self):
-        """
-        Load JS file (procedures.js) for this module.
-        """
-
-        return make_response(
-            render_template(
-                "edbproc/js/edbproc.js",
-                _=gettext
-            ),
-            200, {'Content-Type': 'application/javascript'}
-        )
-
 
 EdbProcView.register_node_view(procedure_blueprint)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/edbvars/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/edbvars/__init__.py
index 3c4346e18..ddce19a65 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/edbvars/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/edbvars/__init__.py
@@ -120,9 +120,6 @@ class EdbFuncView(PGChildNodeView, DataTypeReader)
       - Works as a decorator.
         Validating request on the request of create, update and modified SQL.
 
-    * module_js():
-      - Overrides this property to define javascript for Functions node.
-
     * check_precondition(f):
       - Works as a decorator.
       - Checks database connection status.
@@ -161,23 +158,9 @@ class EdbFuncView(PGChildNodeView, DataTypeReader)
             {'get': 'list'}
         ],
         'nodes': [{'get': 'nodes'}, {'get': 'nodes'}],
-        'sql': [{'get': 'sql'}],
-        'module.js': [{}, {}, {'get': 'module_js'}]
+        'sql': [{'get': 'sql'}]
     })
 
-    def module_js(self):
-        """
-        Load JS file (edbvar.js) for this module.
-        """
-
-        return make_response(
-            render_template(
-                "edbvar/js/edbvar.js",
-                _=gettext
-            ),
-            200, {'Content-Type': 'application/javascript'}
-        )
-
     def check_precondition(f):
         """
         Works as a decorator.
@@ -204,7 +187,7 @@ def wrap(*args, **kwargs):
                     )
                 )
 
-            self.sql_template_path = "/edbvar/ppas"
+            self.sql_template_path = "/edbvars/ppas"
 
             return f(*args, **kwargs)
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/__init__.py
index 96fd0e6df..31d37dbed 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/__init__.py
@@ -113,22 +113,9 @@ class SequenceView(PGChildNodeView):
         'msql': [{'get': 'msql'}, {'get': 'msql'}],
         'stats': [{'get': 'statistics'}, {'get': 'statistics'}],
         'dependency': [{'get': 'dependencies'}],
-        'dependent': [{'get': 'dependents'}],
-        'module.js': [{}, {}, {'get': 'module_js'}]
+        'dependent': [{'get': 'dependents'}]
     })
 
-    def module_js(self):
-        """
-        This property defines whether javascript exists for this node.
-        """
-        return make_response(
-            render_template(
-                "sequence/js/sequence.js",
-                _=_
-            ),
-            200, {'Content-Type': 'application/javascript'}
-        )
-
     def check_precondition(action=None):
         """
         This function will behave as a decorator which will checks
@@ -150,7 +137,7 @@ def wrapped(self, *args, **kwargs):
                 else:
                     self.conn = self.manager.connection()
 
-                self.template_path = 'sequence/sql/#{0}#'.format(
+                self.template_path = 'sequences/sql/#{0}#'.format(
                     self.manager.version
                 )
                 self.acl = ['r', 'w', 'U']
